<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_347a4304a606a9c406a8fbc8f72530" . "a1" => base64_decode("TWV0aG9kIA" . "=="), "_00228d8faefcea40b88e38b6f0ef" . "8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJ" . "pbmcgb2YgQ29udHJvbA=="), "_96be32a6f4" . "4bf54e635e1" . "736acf7a96c" => base64_decode("c2VyaWFsa" . "Xpl"), "_ecfcdf011b493a3e7" . "18c1fe7034e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN0IGJlIHJlZGVmaW5l" . "ZA=="), "_c9ae15d69685" . "c02eeabd974f8" . "6df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBi" . "ZSByZWRlZmluZWQ="), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_c244a470df52d1d5a7085138e" . "c94e393" => base64_decode("dW5zZXJpYWx" . "pemU="), "_fc9d7314a9d9958d8fa0a403ba8ff" . "197" => base64_decode("Z2V" . "0X2" . "NsY" . "XNz"), "_5e9a99dc0dd49b907abf1b" . "35e96965f8" => base64_decode("dHJ" . "pbQ" . "=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_96be32a6f44bf54e635e173" . "6acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5e9a99dc0dd49b907abf1b35e96965f" . "8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_00228d8faefcea40b88e3" . "8b6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c244a470" . "df52d1d5a" . "7085138ec" . "94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_347a4304a606a9c406a8fb" . "c8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fc9d7314a" . "9d9958d8fa" . "0a403ba8ff" . "197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ecfcdf011b493a3e718c1fe703" . "4e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_347a4304a606a9c406a8fbc8f7" . "2530a1"] . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_fc9d7314a9d9958d8fa0a403ba8ff19" . "7"]($this) . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c9ae15d69685c" . "02eeabd974f86d" . "f51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}